﻿<%@ language="C#" ValidateRequest="false" %>

<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Net" %>
<%@ Import Namespace="kvspas" %>
<%@ Import Namespace="System.IO" %>

<script runat=server>
    
    
    /*
     * 
     * 
     * 版本号：2.0
     * 
     * 2007-10-28
     * 增加了POST代理
     * 改进了字符编码判断，目前支持读取GBK、UTF-8、GB2312、ASC-II 四个字符集。
     * 
     * 统一使用UTF-8编码作为输出。
     * 
     * 
     * 
     * 
     * 作者:kvspas@gmail.com  梁逸晨  2007-02-28
     * 
     * 本程序是作为ajax访问异域数据的服务端代理.
     * 
     * 本程序可以任意传播,可以使用在任意用途.但请保留这份注释信息.这些信息并不会影响您的程序执行效率.
     * 
     * 这份程序仅仅用于交流经验之用途,如果将这份代理程序用于非法行为,我个人不承担任何责任.
     *
     * 
     * 如果哪位有更好的修改方案,请发一份给我.：kvspas@gmail.com
     * 
     * 我的BLOG地址是 http://blog.kvspas.com/
     * 
     * 
     */
    
    void Page_Load()
    {

        Response.Charset = "utf-8";//统一使用UTF-8编码反馈到客户端

        webGet web = new webGet();
        
        int codes = 0;
        string url = Request.QueryString["url"].ToString();
        if (Request.QueryString["encode"] == null)
        {
            kvspas.anycodes code = new anycodes();//判断字符串类型
            codes = code.detectEncoding(new System.Uri(url));
        }
        else
        {
            codes = int.Parse(Request.QueryString["encode"].ToString());
        }
        
        if (Request.Form.Count == 0)
        {
            
            //没有POST数据
            Response.Write(web.Get(url,codes,""));
        }
        else
        {
            //POST参数分析
            string formPostData = "";
            string postValue;

            foreach (string postKey in Request.Form)
            {
                postValue = Encode(Request.Form[postKey]);
                formPostData += String.Format("{0}={1}&", postKey, postValue);
            }

            Response.Write(web.Get(Request.QueryString["url"].ToString(),codes, formPostData));
            
        }
    
    }
    
    string Encode(string oldValue)
    {
        string newValue = oldValue.Replace("\"", "'");
        newValue = System.Web.HttpUtility.UrlEncode(newValue);
        newValue = newValue.Replace("%2f", "/");
        return newValue;
    }



    
    </script>